/* Bluefish HTML Editor
 * (C) 1998-2000 Olivier Sessink
 *
 * highlight.h - includes for using highlight-functions
 * Copyright (C) 2000 Roland Steinbach, Gero Takke and Olivier Sessink
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __HIGHLIGHT_H_
#define __HIGHLIGHT_H_
void reset_syntax_highlighting_lcb(GtkWidget * widget, gpointer data);
void stop_hi_cb(GtkWidget * widget, gpointer data);
void start_hi_cb(GtkWidget * widget, gpointer data);
void refresh_hi_cb(GtkWidget * widget, gpointer data);
void toggle_highlight_syntax_cb(GtkWidget * w, gpointer data);
void make_syntax_struct_list(void);
void line_highlighting(GtkWidget * textbox);
void line_hi_cb(GtkWidget * widget, gpointer data);
#endif
